diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index 660b65d..5c49955 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -151,7 +151,7 @@
 
           var formatter = self.formatter;
 
-          formatter.decimals = self.decimals;
+          formatter.decimals = 0;
           formatter.decimalSeparator = self.decimalSeparator;
           formatter.orderSeparator = self.orderSeparator;
 
@@ -297,7 +297,6 @@
       self.listenTo(self.headerData, "select2", self.headerDataChanged);
       self.listenTo(self.collection, "remove", self.onRemoveVariable);
     },
-
     /*
      * Get the variable data for this node.
      */
@@ -455,6 +454,30 @@
           });
       }
 
+      // Change format of each of the data
+      // Because - data coming from the server is in string format
+      self.collection.each(function(model){
+        var name = model.get("name");
+
+        if (name in self.availVariables) {
+          switch(self.availVariables[name].vartype) {
+            case 'real':
+              var v = parseFloat(model.get('value'));
+              model.set('value', (isNaN(v) ? undefined : v), {silent: true});
+
+              break;
+            case 'integer':
+              var v = parseInt(model.get('value'));
+              model.set('value', (isNaN(v) ? undefined : v), {silent: true});
+
+              break;
+            default:
+              break;
+          }
+        }
+      });
+      self.collection.startNewSession();
+
       // Initialize a new Grid instance
       var grid = self.grid = new Backgrid.Grid({
         columns: gridSchema.columns,
diff --git a/web/pgadmin/browser/templates/browser/js/node.js b/web/pgadmin/browser/templates/browser/js/node.js
index fe999bb..622e9e1 100644
--- a/web/pgadmin/browser/templates/browser/js/node.js
+++ b/web/pgadmin/browser/templates/browser/js/node.js
@@ -1289,7 +1289,7 @@ function($, _, S, pgAdmin, Menu, Backbone, Alertify, Backform) {
         }
         idx = _.indexOf(self.sessAttrs['changed'], obj);
         if (!'sessChanged' in obj) {
-          if (idx > 0) {
+          if (idx >= 0) {
             return true;
           }
           self.sessAttrs['changed'].push(obj);
@@ -1301,7 +1301,7 @@ function($, _, S, pgAdmin, Menu, Backbone, Alertify, Backform) {
 
           return true;
         }
-        if (idx > 0) {
+        if (idx >= 0) {
 
           (self || self.handler).trigger(
               'pgadmin-session:changed',
